#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[]) {
	int nExit = EXIT_FAILURE;
	FILE *inFile, *outFile;
	char ch;

	if (argc == 3) {
		if ((inFile = fopen(argv[1], "rb")) == NULL) {
			fprintf(stderr, "Fehler beim Lesen der Eingabedatei '%s'!\n", argv[1]);
		}
		if ((outFile = fopen(argv[2], "wb")) == NULL) {
			fprintf(stderr, "Fehler beim Speichern der Ausgabedatei '%s'!\n", argv[2]);
		}

		if ((inFile != NULL) && (outFile != NULL)) {
			while ((ch = getc(inFile)) != EOF) {
				if (ch != '\r') {
					fputc(ch, outFile);
				}
			}
			nExit = EXIT_SUCCESS;
		}

		if (inFile != NULL) {
			fclose(inFile);
		}
		if (outFile != NULL) {
			fclose(outFile);
		}
	}
	else {
		printf("SYNTAX: %s Quelldatei Zieldatei\n\n", argv[0]);
	}

	return nExit;
}
